6.0.0-git
2021-01-18

[#1039] Add proxy support
Summary Add proxy support
Queue Horde Base
Queue Version 3.0
Type Enhancement
State Resolved
Priority 2. Medium
Owners
Requester enrico.scholz (at) informatik (dot) tu-chemnitz (dot) de
Created 2004-12-30 (5863 days ago)
Due
Updated 2006-11-26 (5167 days ago)
Assigned
Resolved 2006-11-26 (5167 days ago)
Milestone
Patch No

History
2006-11-26 03:56:39 Chuck Hagenbuch Comment #4
State ⇒ Resolved
Reply to this comment
Done.
2005-05-25 15:45:33 Chuck Hagenbuch Taken from Horde DevelopersHorde Developers
 
2005-01-05 16:04:50 Chuck Hagenbuch Assigned to Horde DevelopersHorde Developers
 
2005-01-05 09:59:09 Jan Schneider Comment #3
Summary ⇒ Add proxy support
State ⇒ Accepted
Reply to this comment
Oops, wrong state.



We should also collect all places where we would need to use the proxy 
in this ticket. What comes to mind are:

- gpg keyserver

- weather.com block

- free/busy urls


2005-01-05 09:56:26 Jan Schneider Comment #2
State ⇒ Stalled
Reply to this comment
We already have proxy support in Jonah. We should move the proxy 
configuration to Horde so that we can use it across all applications.
2004-12-30 16:21:59 enrico (dot) scholz (at) informatik (dot) tu-chemnitz (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ RFE: add proxy support for fetching GPG keys
Queue ⇒ Horde Base
Reply to this comment
It would be nice when horde supports fetching of GPG keys over proxies.



As a quick hack (and completely unparameterized), I am using



|         /* Connect to the public keyserver. */

|       $cmd = 'GET 
http://random.keyserver.penguin.de:11371/pks/lookup?op=get&exact=on&search=' . 
$fprint . ' HTTP/1.0';

|       $output = $this->_connectKeyserver($cmd, "www-cache", $timeout);



|             /* The HKP server is located on port 11371. */

|             $fp = @fsockopen($server, '3128', $errno, $errstr, $timeout);





in lib/Horde/Crypt/pgp.php


Saved Queries